## gifwrap 0.0.6%2Bdfsg

=== debian/changelog ===
gifwrap (0.0.6+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1004174)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Jan 2022 16:26:55 +0900

## gifwrap 0.0.6+dfsg

=== debian/changelog ===
gifwrap (0.0.6+dfsg-2ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 15:58:07 +0100

gifwrap (0.0.6+dfsg-2) unstable; urgency=medium

  * Update d/copyright.
    - Update Upstream-Contact from TODO.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 23 Jan 2022 17:59:15 +0900

## gifwrap 0.0.7

=== Makefile ===
default: build

build: test
	mkdir -p bin
	go build -o bin/gifwrap ./cmd/gifwrap/

demo: build
	mkdir -p bin
	./bin/gifwrap -f https://media.giphy.com/media/QMHoU66sBXqqLqYvGO/giphy.gif

build-travis: test
	mkdir -p bin
	GOOS=linux  GOARCH=amd64 go build -o bin/gifwrap-linux-amd64  ./cmd/gifwrap
	GOOS=darwin GOARCH=amd64 go build -o bin/gifwrap-darwin-amd64 ./cmd/gifwrap
	GOOS=darwin GOARCH=arm64 go build -o bin/gifwrap-darwin-arm64 ./cmd/gifwrap

test:
	go vet ./...
	go test -v ./...

.PHONY: build test

=== debian/changelog ===
gifwrap (0.0.7-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 15:40:12 +1000

gifwrap (0.0.7-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:32:43 +0100

gifwrap (0.0.7-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:30:33 +0530

gifwrap (0.0.7-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:10 +1200

gifwrap (0.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 Feb 2023 07:56:22 +0900

=== debian/control ===
Source: gifwrap
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
	       golang-github-gdamore-tcell.v2-dev,
               golang-github-spf13-cobra-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gifwrap
Vcs-Git: https://salsa.debian.org/go-team/packages/gifwrap.git
Homepage: https://github.com/liamg/gifwrap
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/liamg/gifwrap

Package: gifwrap
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: display GIF file in terminal
 Display GIF file in terminal. This is created with Go language.

Package: golang-github-liamg-gifwrap-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-gdamore-tcell.v2-dev,
         golang-github-spf13-cobra-dev,
         ${misc:Depends}
Description: go library for displays GIF files in terminal
 gifwrap library is a Go language package for displays GIF files in terminal.

=== debian/watch ===
version=4
opts=repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(pre\d|rc\d)/~$1/ \
  https://github.com/liamg/gifwrap/tags .*/v?(\d\S*)\.tar\.gz debian
